### Name: unionRSiteSearch
### Title: Combine RSiteSearch Objects
### Aliases: unionRSiteSearch intersectRSiteSearch Ops.RSiteSearch
### Keywords: misc

### ** Examples

des1 <- RSiteSearch.function('differential equations', 1)
de1 <- RSiteSearch.function('differential equation', 1)
# each retrieves 1 page of 20 hits
# but not the same 20

de.s <- unionRSiteSearch(des1, de1)
# combines the two, eliminating duplicates.

# or the sorter version:
de.s <- des1 | de1

# Keep only the common entries.
de2 <- intersectRSiteSearch(des1, de1)
de2 <- des1 & de1

# summary and HTML still work with the combined object.
summary(de.s)
HTML(de.s)

summary(de2)
HTML(de2)

## Don't show: 
# The following gave an error;  now fixed 2009.05.12
x <- RSiteSearch.function("spline", maxPages = 1, quiet = TRUE)
y <- RSiteSearch.function("winbugs", maxPages = 1, quiet = TRUE)
intersectRSiteSearch( x, y )
## End Don't show




